Skip to main content
GET
/
industries
List industries
curl --request GET \
  --url https://www.ruddr.io/api/workspace/industries \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "a3f8c1d2-5e47-4b9a-8f6e-2c1d0e9b7a4f",
      "name": "Technology",
      "isActive": true,
      "createdAt": "2024-03-15T14:22:10.481Z"
    }
  ],
  "hasMore": false
}
A classification that can be assigned to clients and used to filter reports.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer<int32>

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]
hasMore
boolean

Whether there are more results available after this page.